Name:          mambabase
Version:       1.1
Release:       1mamba
Summary:       Tool to install distribution basic and additional components
Group:         Graphical Desktop/Applications/Administration
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://gitlab.mambasoft.it/openmamba/mambabase
Source:        https://gitlab.mambasoft.it/openmamba/mambabase/v%{version}/mambabase-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Requires:      desktop-base-openmamba
Requires:      openmamba-icons
Requires:      PyQt5-py3
Requires:      python-sip-py3
Requires:      pygobject-py3
Requires:      python-distro-py3

%description
Tool to install distribution basic and additional components.

%prep
%setup -q

%build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name} --with-qt --all-name

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/mambabase
%{_datadir}/applications/mambabase.desktop
%dir %{_datadir}/mambabase
%{_datadir}/mambabase/*
%doc AUTHORS COPYING

%changelog
* Sun Jun 19 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1-1mamba
- update to 1.1

* Sat Jun 18 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-1mamba
- package created by autospec
